List files
You're viewing API version
2026-09, which is deprecated and stops working on October 1, 2027. To move your integration, see Upgrading to 2026-10.GET
Retrieve a paginated list of files in your organization.
Pagination: Use 'page' and 'perPage' query parameters.
Filtering: Optionally filter by visibility (PRIVATE or PUBLIC).
Response:
- Files are sorted by creation date (newest first)
- Use the 'getFile' endpoint to retrieve file access URLs
header
AuthorizationBearer <token>Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.
Paginated list of files
application/json- response
Paginated list of files
files*array<>Array of files
totalPages*numberTotal number of pages available
curl -X GET 'https://app.sajn.se/api/v1/files?page=1&perPage=10' \ -H 'authorization: string'Example Response
{ "files": [ { "id": "string", "filename": "string", "mimeType": "string", "size": 0, "visibility": "PRIVATE", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "uploadedBy": { "id": "string", "firstName": "string", "lastName": "string", "email": "string" } } ], "totalPages": 0}Was this page helpful?